import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int n = nextInt();
        long k = nextLong();
        long[] a = new long[n];
        for (int i = 0; i < n; i++) {
            a[i] = nextLong();
        }
        long[] b = new long[n];
        b[0] = 1;
        for (int x = 1; x < n; x++) {
            for (int z = 0; z < n && z < x && b[x] != 1; z++) {
                if (b[z] == 1) {
                    if (Math.max(a[z], a[x]) - Math.min(a[z], a[x]) <= k) {
                        b[x] = 1;
                    } else {
                        b[x] = 0;
                    }
                } else {
                    b[x] = 0;
                }
            }
        }
        StringBuilder h = new StringBuilder();
        for (int f = 0; f < n; f++) {
            h.append(b[f]);
        }
        System.out.print(h);
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static StringTokenizer in = new StringTokenizer("");


    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}