import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int m = nextInt();
        long t = nextLong();
        long sum = 0;
        int[] a = new int[m];
        for (int i = 0; i < m; i++) {
            a[i] = nextInt();
            sum = sum + a[i];
        }
        if (sum <= t) {
            System.out.print(-1);
        } else {
            System.out.println(t/(sum/m));
        }
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}